# Batches Batches are sets of SMS messages. You can send a single message or many. Batches are queued and sent at the rate limit in first-in-first-out order. ## Get a batch message - [GET /xms/v1/{service_plan_id}/batches/{batch_id}](https://developers.sinch.com/docs/sms/api-reference/sms/batches/getbatchmessage.md): This operation returns a specific batch that matches the provided batch ID. ## Replace a batch - [PUT /xms/v1/{service_plan_id}/batches/{batch_id}](https://developers.sinch.com/docs/sms/api-reference/sms/batches/replacebatch.md): This operation will replace all the parameters of a batch with the provided values. It is the same as cancelling a batch and sending a new one instead. ## Update a Batch message - [POST /xms/v1/{service_plan_id}/batches/{batch_id}](https://developers.sinch.com/docs/sms/api-reference/sms/batches/updatebatchmessage.md): This operation updates all specified parameters of a batch that matches the provided batch ID. ## Cancel a batch message - [DELETE /xms/v1/{service_plan_id}/batches/{batch_id}](https://developers.sinch.com/docs/sms/api-reference/sms/batches/cancelbatchmessage.md): A batch can be canceled at any point. If a batch is canceled while it's currently being delivered some messages currently being processed might still be delivered. The delivery report will indicate which messages were canceled and which weren't. Canceling a batch scheduled in the future will result in an empty delivery report while canceling an already sent batch would result in no change to the completed delivery report. ## List Batches - [GET /xms/v1/{service_plan_id}/batches](https://developers.sinch.com/docs/sms/api-reference/sms/batches/listbatches.md): With the list operation you can list batch messages created in the last 14 days that you have created. This operation supports pagination. ## Send - [POST /xms/v1/{service_plan_id}/batches](https://developers.sinch.com/docs/sms/api-reference/sms/batches/sendsms.md): Send a message or a batch of messages. Depending on the length of the body, one message might be split into multiple parts and charged accordingly. Any groups targeted in a scheduled batch will be evaluated at the time of sending. If a group is deleted between batch creation and scheduled date, it will be considered empty. Be sure to use the correct region in the server URL. ## Send delivery feedback for a message - [POST /xms/v1/{service_plan_id}/batches/{batch_id}/delivery_feedback](https://developers.sinch.com/docs/sms/api-reference/sms/batches/deliveryfeedback.md): Send feedback if your system can confirm successful message delivery. Feedback can only be provided if feedback_enabled was set when batch was submitted. Batches: It is possible to submit feedback multiple times for the same batch for different recipients. Feedback without specified recipients is treated as successful message delivery to all recipients referenced in the batch. Note that the recipients key is still required even if the value is empty. Groups: If the batch message was created using a group ID, at least one recipient is required. Excluding recipients (an empty recipient list) does not work and will result in a failed request. ## Dry run - [POST /xms/v1/{service_plan_id}/batches/dry_run](https://developers.sinch.com/docs/sms/api-reference/sms/batches/dry_run.md): This operation will perform a dry run of a batch which calculates the bodies and number of parts for all messages in the batch without actually sending any messages.